de.esprit.appsuite.database.xml

## Interface DBOTags

- All Known Implementing Classes:
    DBOXmlWriter

      public interface DBOTags

  This interface defines DBObject related tags for the DBOXmlReader and DBOXmlWriter
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_DATABASE_NAME`
    `static java.lang.String` | `ATTR_DBOBJECT_NAME`
    `static java.lang.String` | `ATTR_DBOBJECT_VERSION`
    `static java.lang.String` | `ATTR_FIELD_FKREF`
    `static java.lang.String` | `ATTR_FIELD_NAME`
    `static java.lang.String` | `ATTR_FIELD_PK`
    `static java.lang.String` | `ATTR_FIELD_TYPE`
    `static java.lang.String` | `ATTR_TABLE_NAME`
    `static java.lang.String` | `ATTR_TABLE_PACKAGE`
    `static java.lang.String` | `TAG_DATABASE`
    `static java.lang.String` | `TAG_DBOBJECT`
    `static java.lang.String` | `TAG_FIELD`
    `static java.lang.String` | `TAG_TABLE`

- - ### Field Detail

    - #### TAG_DATABASE

          static final java.lang.String TAG_DATABASE

      See Also:
        Constant Field Values

    - #### ATTR_DATABASE_NAME

          static final java.lang.String ATTR_DATABASE_NAME

      See Also:
        Constant Field Values

    - #### TAG_TABLE

          static final java.lang.String TAG_TABLE

      See Also:
        Constant Field Values

    - #### ATTR_TABLE_NAME

          static final java.lang.String ATTR_TABLE_NAME

      See Also:
        Constant Field Values

    - #### ATTR_TABLE_PACKAGE

          static final java.lang.String ATTR_TABLE_PACKAGE

      See Also:
        Constant Field Values

    - #### TAG_DBOBJECT

          static final java.lang.String TAG_DBOBJECT

      See Also:
        Constant Field Values

    - #### ATTR_DBOBJECT_NAME

          static final java.lang.String ATTR_DBOBJECT_NAME

      See Also:
        Constant Field Values

    - #### ATTR_DBOBJECT_VERSION

          static final java.lang.String ATTR_DBOBJECT_VERSION

      See Also:
        Constant Field Values

    - #### TAG_FIELD

          static final java.lang.String TAG_FIELD

      See Also:
        Constant Field Values

    - #### ATTR_FIELD_NAME

          static final java.lang.String ATTR_FIELD_NAME

      See Also:
        Constant Field Values

    - #### ATTR_FIELD_TYPE

          static final java.lang.String ATTR_FIELD_TYPE

      See Also:
        Constant Field Values

    - #### ATTR_FIELD_PK

          static final java.lang.String ATTR_FIELD_PK

      See Also:
        Constant Field Values

    - #### ATTR_FIELD_FKREF

          static final java.lang.String ATTR_FIELD_FKREF

      See Also:
        Constant Field Values

Copyright © 2014 EsprIT-Systems. All Rights Reserved.